SelectElegance [20160803_v2]

  • Ist es doch ...
    Und in den Changelog auch bei Änderung.
    Ich öffentliche Version ist vom 31.5.

    Edited once, last by root1980 ().

  • mach was du willst, führe die User weiterhin in die Irre, aber die aktuelle Skin-Version wurde mit Sicherheit nicht auf einem DMM "Stable", wie es im 1. Beitrag steht, getestet.

    Viele Grüße
    Jürgen


    "Kaum macht man es richtig, .... schon geht es!"


    "Machen ist wie wollen, nur krasser!"

  • Die Version vom 31.5. die hier hochgeladen ist läuft ab 4.2.xx. Das Stable ist doch auch schon so weit.

  • Es ist das beste man veröffentlicht gar nichts. Jedes Mal das Theater.

  • ich würde mich freuen wenn es ein Update auf Basis deiner Änderungen geben wird.

    Gruß MaXAt0M


    1 x DreamBox 900UHD
    1 x DreamBox 7080HDSS
    3 x DreamB0X 520

  • Quote

    Original von root1980
    Dann muß es auch klappen, wenn du es so gemacht hast.
    Wo klemmts bei dir bzw welches Image hast du? Mit Merlin gehts noch nicht.


    Ich habe es mit dem DMM stable versucht, der Skin taucht nicht im Menü auf. Installation war wie gesagt genau wie von dir beschrieben, Schritt für Schritt. Sorry für die späte Rückmeldung.

  • Das Stable ist tatsächlich zu alt. Kann es gar nicht glauben.
    Ich war felsenfest der Meinung daß die EventView Servicegeschichte (Anzeige der nächsten Sendungen im EventView) im Stable drin ist.
    Aus dem Unstable wurde mal ein Stable. Das war wege der gstream Geschichte.
    Zu der Zeit hab ich die Version gebaut.
    Danach hatte ich Unstable neu installiert.
    Dann ist alles klar. Läuft nur mit dem seit Juni geflashten Unstable.

  • Läuft ab der nächsten Version dann wieder auf Stable und Unstable.
    Hab Service (nächste Sendungen) aus EventView rausgenommen. Macht dort e wenig Sinn.

  • Code
    20160717_v1
    - Release Reloaded
    - installierbar ab 4.2.11r7


    Damit nicht Converter/Renderer 2x vorhanden sind, werden sie automatisch installiert.
    Falls sie auf dem Feed fehlen, sind sie im 1. Post. Dann einfach mit installieren.

  • @root1980 du hast aber schon verstanden das es so nicht geht was du da machst oder?
    Wie kannst du den Usern einen skin geben und schreiben der ist für stable und unstable wenn das garnicht geht ?
    Du hast in deinem skin auch das neue Audiomenü geskinnt (dieses gibt es nur im unstable ) und daher wird dein skin in einem stable knallen beim Audiomenü.


    Im unstable verändert sich so einiges und da kann man nicht einfach einen skin für beide zweige machen ,entweder man entscheidet sich für einen oder man lässt es.


    <widget source="key_menu" render="Pixmap" position="116,261" size="33,33" pixmap="SelectElegance/skin_default/buttons/key_menu.png" alphatest="on">
    <convert type="ConditionalShowHide" />
    </widget>



    Dieses neue widget gibt es im stable garnicht und ist aber im unstable wichtig daher du hast es drin und das passt auch im unstable ,im stable knallt dir deswegen die Box weg.
    Genauso wie das Audiomenü überhaupt weil es gibt dort im stable und unstable ganz andere Ansätze .


    Ich kanns nur nochmal sagen ,wenn ihr den Usern etwas gebt dann sollte es auch vorher von euch selbst da getestet werden wo ihr den usern sagt das sie es nutzen können.

  • Und nur nochmal damit du es besser verstehst hier nachzulesen
    http://git.opendreambox.org/?p…52ff483d91894ab7833e81591


    dort siehste auch ab wann sich das Audiomenü und andere Sachen geändert haben (und das ist ab dem unstable) ;)
    Dort ist auch einzulesen in der AudioSelection.py was sich geändert hat gegenüber des stable und das ist nicht einfach so ohne ;)


    http://git.opendreambox.org/?p…84df6b4aedceef78ea275afa3

  • Da soll es einem nicht zu blöd werden.
    Das wird sowieso nie funktionieren, daß man einen Skin auf allen Images testet.
    Kann ja nicht bei jeder Version die Box mit allen möglichen Images testen.
    Deswegen schreib ich ja, geschrieben und getestet auf Unstable.

  • Was hat das denn damit zu tun ?
    Niemand möchte dir was böses ,du sollst nur den Usern hier nicht etwas geben und vorallem schreiben was nicht stimmt.


    Du schreibst du testet ihn nur im unstable aber sagst den usern das sie es auf einem stable installieren können.
    Das ist irreführend und schlicht falsch weil der skin dort nicht richtig gehen wird.
    Dann machste auch noch ne Abhängigkeit rein die aber halt ein stable mit einbezieht und das ist halt falsch.
    Dir werden hier Infos gegeben das du was falsch machst und du fühlst dich angep... ,sorry aber das ist Kindergarten denn wir wollen ja nix böses sondern nur das die User dann nicht schreien warum die Box knallt wenn man schon im Vorfeld weiß das es so sein wird.

  • Ich hab das AudioMenu einfach vergessen und nur an EventView gedacht.
    Mich kotzt halt an, daß man bei jedem Fehler schier erschossen wird.
    Gleich kommt eine _v2 mit Depend 4.3.0r3 (also Unstable).
    Da ich nicht alle Images überschauen kann, werde ich dann nur noch für Unstable supporten.

  • Wer erschießt dich denn? das sind Hinweise damit ihr das richtig und besser macht nicht mehr und nicht weniger.
    Wenn du da zu sensibel bist tut es mir leid ,ich will dir da nix böses.
    Und wenn du den Skin nur auf einem unstable selbst hast und auch da skinnst dann mach ihn auch nur dafür und gut ,du weißt (und das nicht erst seit jetzt) das sich im unstable viele Sachen ändern ,das ist ja auch ein Grund warum es stable und unstable jetzt gibt ;) ,daher ist es besser skins nur für das zu supporten was man auch selbst testen kann.
    Wenn du den skin nur für dich machst kannste ja machen was du möchtest ,du gibst ihn aber anderen Usern und die solten nicht von vornherein was falsches bekommen oder?

  • Code
    20160717_v2
    - installierbar ab 4.3.0r3


    Danke Zombi für den Hinweis, daß ich was übersehen hab.


    Damit das nicht nohmal passiert, supporte ich ab jetzt nur noch Unstable Images, da ich es dort geschrieben und getestet hab.



    EDIT:
    1. und 2. Post angepaßt der Übersicht halber

    Edited once, last by root1980 ().

  • Das nächste Update bringt dann u.a.


    - MovieSelection: + Cover
    - ChannelSelection: + Now/Next/PrimeTime
    - VirtualKeyBoard: HD-Anpassung
    - youtubeGenreScreen: + Suchparameter
    - epgselectionmulti: + Now/Next/Date
    - + QuickbuttonSetup
    - + NewNigma Screens: (AptFilter, CamdWizzardScreen, InstallLog, NewnigmaMainMenu, PKGMain, WebradioMain, WebradioPlayer)


    Update demnächst ...

  • Code
    20160726_v1
    - + AptFilter, CamdWizzardScreen, InstallLog, NewnigmaMainMenu, PKGMain, QuickbuttonSetup, WebradioMain, WebradioPlayer
    - MovieSelection: + Cover
    - ChannelSelection: + Now/Next/PrimeTime
    - VirtualKeyBoard: HD-Anpassung
    - youtubeGenreScreen: + Suchparameter
    - epgselectionmulti: + Now/Next/Date
    - kleinere Korrekturen
    - Bilder im 1. Post aktualisiert
    - Depends im 2. Post aktualisiert

    Edited 3 times, last by root1980 ().

  • Code
    20160727_v1
    - + dmesgInfo, FBLCDScreen, hddInfo, kernInfo, memInfo, processInfo, sysInfoMain, WebradioInfoBarSummary
    - MerlinEPGCenter: + Description, + REC Anzeige